# Generated by Django 2.2.1 on 2019-05-13 00:23

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Departament',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=128)),
                ('phone_number', models.CharField(max_length=64)),
            ],
        ),
        migrations.CreateModel(
            name='Education',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=512)),
            ],
        ),
        migrations.CreateModel(
            name='EducationCenter',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=512)),
            ],
        ),
        migrations.CreateModel(
            name='Mode',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=512)),
            ],
        ),
        migrations.CreateModel(
            name='WorkerState',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=512)),
            ],
        ),
        migrations.CreateModel(
            name='Worker',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=512)),
                ('birthday', models.DateField()),
                ('sex', models.CharField(choices=[('F', 'female'), ('M', 'male')], default='M', max_length=8)),
                ('experience_months', models.IntegerField(default=0)),
                ('employment_record_number', models.CharField(max_length=64)),
                ('education', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='core.Education')),
            ],
        ),
        migrations.CreateModel(
            name='Training',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('program', models.CharField(max_length=256)),
                ('education_center', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='core.EducationCenter')),
                ('worker', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='core.Worker')),
            ],
        ),
        migrations.CreateModel(
            name='EmploymentContract',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('position', models.CharField(max_length=128)),
                ('salary', models.DecimalField(decimal_places=2, max_digits=32)),
                ('start', models.DateTimeField()),
                ('end', models.DateTimeField()),
                ('is_head', models.BooleanField(default=False)),
                ('departament', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='core.Departament')),
                ('worker', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='core.Worker')),
            ],
        ),
    ]
